org.apache.ignite.internal.processors.datastructures

## Class GridCacheQueueAdapter.RemoveProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheQueueAdapter.RemoveProcessor

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.processor.EntryProcessor<GridCacheQueueHeaderKey,GridCacheQueueHeader,Long>

Enclosing class:
  GridCacheQueueAdapter<T>

    protected static class GridCacheQueueAdapter.RemoveProcessor
    extends Object
    implements javax.cache.processor.EntryProcessor<GridCacheQueueHeaderKey,GridCacheQueueHeader,Long>, Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQueueAdapter.RemoveProcessor()` Required by `Externalizable`.
`GridCacheQueueAdapter.RemoveProcessor(IgniteUuid id, Long idx)`

### Method Summary

Methods
`Long` `process(javax.cache.processor.MutableEntry<GridCacheQueueHeaderKey,GridCacheQueueHeader> e, Object... args)`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheQueueAdapter.RemoveProcessor

    public GridCacheQueueAdapter.RemoveProcessor()

Required by `Externalizable`.

#### GridCacheQueueAdapter.RemoveProcessor

    public GridCacheQueueAdapter.RemoveProcessor(IgniteUuid id,
                                         Long idx)

Parameters:
  `id` - Queue UUID.
  `idx` - Index of item to be removed.

### Method Detail

#### process

    public Long process(javax.cache.processor.MutableEntry<GridCacheQueueHeaderKey,GridCacheQueueHeader> e,
               Object... args)

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<GridCacheQueueHeaderKey,GridCacheQueueHeader,Long>`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015